> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Integrations

> Retrieves all integrations available in the Alloy Embedded account.



## OpenAPI

````yaml get /integrations/all
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /integrations/all:
    get:
      summary: Get All Integrations
      description: Retrieves all integrations available in the Alloy Embedded account.
      operationId: getAllIntegrations
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: Successful response with a list of integrations.
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - integrationId: 67120234ea0bb132f61455d3
                        description: ''
                        primaryConnector: Variable Selector
                        icon: https://cdn.runalloy.com/icons/shopify.png
                        workflows:
                          - workflowId: 673f2573ef641065fce767a7
                            name: 'Untitled Workflow #6'
                            version: 1
                            connectors:
                              - name: On Installation Trigger
                                id: c911ec0a-0016-40c0-9c04-b46c8e9e2751
                                connector: onInstallationTrigger
                                icon: >-
                                  https://cdn.runalloy.com/icons/OnIntegrationInstallation.svg
                                subtitle: On Installation Trigger
                              - name: Shopify
                                id: de156f05-db36-439a-a237-5c6d9f6b1515
                                connector: shopify
                                icon: https://cdn.runalloy.com/icons/shopify.png
                                subtitle: Gets a list of all Abandoned Checkouts
                        credentials:
                          - shopify
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````